package com.hz.pm.api.user.controller;

import com.hz.pm.api.user.manage.MhUnitManage;
import com.hz.pm.api.user.model.dto.MhUnitTreeDTO;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * MhUnitController
 * </p>
 *
 * @author WendyYang
 * @since 15:28 2024/1/10
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/api/v1/mh/unit")
public class MhUnitController {

    private final MhUnitManage mhUnitManage;

    @GetMapping("/tree")
    public List<MhUnitTreeDTO> getMhUnitTree() {
        return mhUnitManage.getMhUnitTree();
    }

}
